using System.Xml.Serialization;

namespace Hncore.Pass.PaymentCenter.WeiFuTong.Refund
{
    /// <summary>
    /// 威富通退款响应
    /// </summary>
    [XmlRoot("xml", Namespace = "")]
    public class WeiFuTongRefundResponse : WeiFuTongResponseBase
    {
        /// <summary>
        /// 平台交易号
        /// </summary>
        [XmlElement("transaction_id")]
        public string TransactionId { get; set; }

        /// <summary>
        /// 商户系统内部的订单号
        /// </summary>
        [XmlElement("out_trade_no")]
        public string OutTradeNo { get; set; }

        /// <summary>
        /// 商户退款单号
        /// </summary>
        [XmlElement("out_refund_no")]
        public string OutRefundNo { get; set; }

        /// <summary>
        /// 平台退款单号
        /// </summary>
        [XmlElement("refund_id")] 
        public string RefundId { get; set; }
        
        /// <summary>
        /// 退款渠道 ORIGINAL—原路退款，默认
        /// </summary>
        [XmlElement("refund_channel")]
        public string RefundChannel { get; set; }
        
        /// <summary>
        /// 退款总金额,单位为分,可以做部分退款
        /// </summary>
        [XmlElement("refund_fee")]
        public int 	RefundFee { get; set; }
    }
}